<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-user-profile-smarms-heading" jhiTranslate="smarmsApp.userProfile.home.createOrEditLabel">Create or edit a User Profile</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!userProfile.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="smarmsApp.userProfile.name" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="smarmsApp.userProfile.title" for="field_title">Title</label>
                    <input type="text" class="form-control" name="title" id="field_title"
                           formControlName="title"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="smarmsApp.userProfile.position" for="field_position">Position</label>
                    <input type="text" class="form-control" name="position" id="field_position"
                           formControlName="position"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="smarmsApp.userProfile.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                           formControlName="description"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="smarmsApp.userProfile.image" for="field_image">Image</label>
                    <div>
                        <img [src]="'data:' + editForm.get('imageContentType').value + ';base64,' + editForm.get('image').value" style="max-height: 100px;" *ngIf="editForm.get('image').value" alt="userProfile image"/>
                        <div *ngIf="editForm.get('image').value" class="form-text text-danger clearfix">
                            <span class="pull-left">{{editForm.get('imageContentType').value}}, {{byteSize(editForm.get('image').value)}}</span>
                            <button type="button" (click)="clearInputImage('image', 'imageContentType', 'fileImage')" class="btn btn-secondary btn-xs pull-right">
                                <fa-icon [icon]="'times'"></fa-icon>
                            </button>
                        </div>
                        <input type="file" id="file_image" (change)="setFileData($event, 'image', true)" accept="image/*" jhiTranslate="entity.action.addimage"/>
                    </div>
                    <input type="hidden" class="form-control" name="image" id="field_image"
                           formControlName="image"/>
                    <input type="hidden" class="form-control" name="imageContentType" id="field_imageContentType"
                           formControlName="imageContentType" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="smarmsApp.userProfile.backgroundImage" for="field_backgroundImage">Background Image</label>
                    <div>
                        <img [src]="'data:' + editForm.get('backgroundImageContentType').value + ';base64,' + editForm.get('backgroundImage').value" style="max-height: 100px;" *ngIf="editForm.get('backgroundImage').value" alt="userProfile image"/>
                        <div *ngIf="editForm.get('backgroundImage').value" class="form-text text-danger clearfix">
                            <span class="pull-left">{{editForm.get('backgroundImageContentType').value}}, {{byteSize(editForm.get('backgroundImage').value)}}</span>
                            <button type="button" (click)="clearInputImage('backgroundImage', 'backgroundImageContentType', 'fileImage')" class="btn btn-secondary btn-xs pull-right">
                                <fa-icon [icon]="'times'"></fa-icon>
                            </button>
                        </div>
                        <input type="file" id="file_backgroundImage" (change)="setFileData($event, 'backgroundImage', true)" accept="image/*" jhiTranslate="entity.action.addimage"/>
                    </div>
                    <input type="hidden" class="form-control" name="backgroundImage" id="field_backgroundImage"
                           formControlName="backgroundImage"/>
                    <input type="hidden" class="form-control" name="backgroundImageContentType" id="field_backgroundImageContentType"
                           formControlName="backgroundImageContentType" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="smarmsApp.userProfile.linkedIn" for="field_linkedIn">Linked In</label>
                    <input type="text" class="form-control" name="linkedIn" id="field_linkedIn"
                           formControlName="linkedIn"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="smarmsApp.userProfile.email" for="field_email">Email</label>
                    <input type="text" class="form-control" name="email" id="field_email"
                           formControlName="email"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="smarmsApp.userProfile.instagram" for="field_instagram">Instagram</label>
                    <input type="text" class="form-control" name="instagram" id="field_instagram"
                           formControlName="instagram"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="smarmsApp.userProfile.resume" for="field_resume">Resume</label>
                    <input type="text" class="form-control" name="resume" id="field_resume"
                           formControlName="resume"/>
                </div>

            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
